Subject: Re: [PATCH] Detect endianness on more platforms that don't use BYTE_ORDER

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 May 2014 12:34:33 -0700

Charles Bailey <[email-masked]> writes:

> I claim that any
> platform which provides both but with differing senses is somewhat
> broken so I cannot see the precedence mattering much.

I agree with that, and that is the reason why we shouldn't change
the order all of a sudden.  If it shouldn't matter, then there is
only downside of a possiblity to break such an insane set-up that
has been happily working by accident, without helping anybody if we
change it, no?